<?xml version='1.0' encoding="GB2312"?>
<config>
    <categorydefine>
      <category Type="Submap" Name="Submap" Description="视图"/>
      <category Type="Device" Name="Device" Description="设备"/>
      <category Type="Device" Name="Link" Description="链路"/>
    </categorydefine>
    <typedefine>
      <type Type="Submap.Subnet" Description="子网" Category="Submap" />
      <type Type="Device.Switch" Description="二层交换机" Category="Device"/>
	  <type Type="Device.L3Switch" Description="路由交换机" Category="Device"/>
	  <type Type="Device.Router" Description="路由器" Category="Device"/>
	  <type Type="Device.Firewall" Description="防火墙" Category="Device"/>
	  <type Type="Device.Server" Description="服务器" Category="Device"/>
	  <type Type="Device.PC" Description="个人计算机" Category="Device"/>
	  <type Type="Device.SnmpDevice" Description="SNMP设备" Category="Device"/>
	  <type Type="Device.IPDevice" Description="IP设备" Category="Device"/>
	  <type Type="Device.Other" Description="其他设备" Category="Device"/>
	  <type Type="Link.Ethernet" Description="Ethernet" Category="Link"/>
      <type Type="Link.FDDI" Description="FDDI" Category="Link"/>
      <type Type="Link.Other" Description="其他链路类型" Category="Link"/>
	</typedefine>
    <submaptype>
      <submap Type="Submap.Subnet.General" IconName="submap.gif" Description="子网" Category="Submap" />
	</submaptype>
    <devicetype>
      <device Type="Device.Switch.General" IconName="l2switch.gif" Description="普通二层交换机" Category="Device">
		<modules>
		  <module Name="DeviceManager" Description="基本配置">
		    <function Name="SnmpSystem" Description="系统信息" LoadString="falconet.client.device.SnmpSystemFrame" LoadType="Plugin"/>
			<function Name="InterfaceTable" Description="接口表" LoadString="falconet.client.device.InterfaceTableFrame" LoadType="Plugin"/>
            <function Name="ArpTable" Description="ARP表" LoadString="falconet.client.device.ArpTableFrame" LoadType="Plugin"/>
			<function Name="RouteTable" Description="路由表" LoadString="falconet.client.device.RouteTableFrame" LoadType="Plugin"/>
			<function Name="FdbTable" Description="转发表" LoadString="falconet.client.device.FdbTableFrame" LoadType="Plugin"/>
		  </module>
		</modules>
      </device>
	  <device Type="Device.L3Switch.General" IconName="l3switch.gif" Description="普通路由交换机" Category="Device">
		<modules>
		  <module Name="DeviceManager" Description="基本配置">
		    <function Name="SnmpSystem" Description="系统信息" LoadString="falconet.client.device.SnmpSystemFrame" LoadType="Plugin"/>
			<function Name="InterfaceTable" Description="接口表" LoadString="falconet.client.device.InterfaceTableFrame" LoadType="Plugin"/>
			<function Name="ArpTable" Description="ARP表" LoadString="falconet.client.device.ArpTableFrame" LoadType="Plugin"/>
			<function Name="RouteTable" Description="路由表" LoadString="falconet.client.device.RouteTableFrame" LoadType="Plugin"/>
			<function Name="FdbTable" Description="转发表" LoadString="falconet.client.device.FdbTableFrame" LoadType="Plugin"/>
		  </module>
		</modules>
      </device>
      <device Type="Device.Router.General" IconName="router.gif" Description="普通路由器" Category="Device">
		<modules>
		  <module Name="DeviceManager" Description="基本配置">
		    <function Name="SnmpSystem" Description="系统信息" LoadString="falconet.client.device.SnmpSystemFrame" LoadType="Plugin"/>
 			<function Name="InterfaceTable" Description="接口表" LoadString="falconet.client.device.InterfaceTableFrame" LoadType="Plugin"/>
			<function Name="ArpTable" Description="ARP表" LoadString="falconet.client.device.ArpTableFrame" LoadType="Plugin"/>
			<function Name="RouteTable" Description="路由表" LoadString="falconet.client.device.RouteTableFrame" LoadType="Plugin"/>
		  </module>
		</modules>
      </device>
	  <device Type="Device.Firewall.General" IconName="firewall.gif" Description="普通防火墙" Category="Device">
  		<modules>
		  <module Name="DeviceManager" Description="基本配置">
		    <function Name="SnmpSystem" Description="系统信息" LoadString="falconet.client.device.SnmpSystemFrame" LoadType="Plugin"/>
 			<function Name="InterfaceTable" Description="接口表" LoadString="falconet.client.device.InterfaceTableFrame" LoadType="Plugin"/>
			<function Name="ArpTable" Description="ARP表" LoadString="falconet.client.device.ArpTableFrame" LoadType="Plugin"/>
			<function Name="RouteTable" Description="路由表" LoadString="falconet.client.device.RouteTableFrame" LoadType="Plugin"/>
		  </module>
		</modules>
	  </device>
	  <device Type="Device.SnmpDevice.General" IconName="snmpdevice.gif" Description="支持SNMP的普通设备" Category="Device">
		<modules>
		  <module Name="DeviceManager" Description="基本配置">
		    <function Name="SnmpSystem" Description="系统信息" LoadString="falconet.client.device.SnmpSystemFrame" LoadType="Plugin"/>
 			<function Name="InterfaceTable" Description="接口表" LoadString="falconet.client.device.InterfaceTableFrame" LoadType="Plugin"/>
			<function Name="ArpTable" Description="ARP表" LoadString="falconet.client.device.ArpTableFrame" LoadType="Plugin"/>
			<function Name="RouteTable" Description="路由表" LoadString="falconet.client.device.RouteTableFrame" LoadType="Plugin"/>
		  </module>
		</modules>
	  </device>
	  <device Type="Device.Server.General" IconName="server.gif" Description="普通服务器" Category="Device" />
	  <device Type="Device.PC.General" IconName="pc.gif" Description="普通个人计算机" Category="Device" />
	  <device Type="Device.IPDevice.General" IconName="other.gif" Description="普通IP设备" Category="Device" />
	  <device Type="Device.Other.General" IconName="other.gif" Description="普通其他设备" Category="Device" />
	</devicetype>
	<linktype>
      <link Type="Link.Ethernet" Category="Link" IconName="" Description="Ethernet"/>
      <link Type="Link.FDDI" Category="Link" IconName="" Description="FDDI"/>
      <link Type="Link.Other" Category="Link" IconName="" Description="Other"/>
	</linktype>
</config>